Package org.codehaus.groovy.antlr

## Class ASTRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.codehaus.groovy.antlr.ASTRuntimeException

- All Implemented Interfaces:
    `Serializable`

      @Deprecated
      public class ASTRuntimeException
      extends RuntimeException

  Deprecated.
  Used within the Groovy's AntlrParserPlugin
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ASTRuntimeException​(AST ast, String message)` | Deprecated.
    `ASTRuntimeException​(AST ast, String message, Throwable throwable)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static String` | `description​(AST node)` | Deprecated.
    `AST` | `getAst()` | Deprecated.
    `int` | `getColumn()` | Deprecated.
    `int` | `getLine()` | Deprecated.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTRuntimeException

          public ASTRuntimeException​(AST ast,
                                     String message)

      Deprecated.

    - #### ASTRuntimeException

          public ASTRuntimeException​(AST ast,
                                     String message,
                                     Throwable throwable)

      Deprecated.

  - ### Method Detail

    - #### description

          protected static String description​(AST node)

      Deprecated.

    - #### getAst

          public AST getAst()

      Deprecated.

    - #### getLine

          public int getLine()

      Deprecated.

    - #### getColumn

          public int getColumn()

      Deprecated.